Package com.smartgwt.client.widgets.cube.events

# Class FixedFacetValueChangedEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<FixedFacetValueChangedHandler>
com.smartgwt.client.widgets.cube.events.FixedFacetValueChangedEvent

public class FixedFacetValueChangedEvent extends BrowserEvent<FixedFacetValueChangedHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedFacetValueChangedEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(FixedFacetValueChangedHandler handler)`
  `static <S extends HasFixedFacetValueChangedHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<FixedFacetValueChangedHandler>`
  `getAssociatedType()`
  `String`
  `getFacetId()`
  facetId
  `String`
  `getFacetValueId()`
  new fixed facet value
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `static GwtEvent.Type<FixedFacetValueChangedHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FixedFacetValueChangedEvent

    public FixedFacetValueChangedEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasFixedFacetValueChangedHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<FixedFacetValueChangedHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(FixedFacetValueChangedHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<FixedFacetValueChangedHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<FixedFacetValueChangedHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<FixedFacetValueChangedHandler>`

  - ### getFacetId

    public String getFacetId()
    facetId
    Returns:
      facetId

  - ### getFacetValueId

    public String getFacetValueId()
    new fixed facet value
    Returns:
      new fixed facet value